using Connected.Utilities;
using Microsoft.AspNetCore.Components;

namespace Connected.Components;
public partial class BreadcrumbLink : UIComponent
{
	[Parameter]
	public BreadcrumbItem Item { get; set; }

	[CascadingParameter]
	public Breadcrumbs Parent { get; set; }

	private string Classname => new CssBuilder("breadcrumb-item")
		 .AddClass("disabled", Item?.Disabled)
		 .Build();
}
